<?php

namespace FiloBlu\Esb\Core\Id;

use Ramsey\Uuid\Uuid;

/**
 * Class UUID4Generator
 * @package FiloBlu\Esb\Core\Id
 */
class UUID4Generator implements UUID4GeneratorInterface
{

    /**
     * @inheritDoc
     */
    public function generate(): string
    {
        return Uuid::uuid4()->toString();
    }
}
